Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::compliance::PDFCompliance Class Reference
Inheritance diagram for foxit::addon::compliance::PDFCompliance:

## Public Member Functions
| PDFCompliance ()
| Constructor.
| PDFCompliance (const PDFCompliance &other)
| Constructor, with another PDF compliance object. More...
| ~PDFCompliance ()
| Destructor.
ResultInformation | ConvertPDFFile (const wchar_t *src_pdf_path, const wchar_t *saved_pdf_path, int convert_to_version, ProgressCallback *progress_callback=0)
| Convert a PDF file to a specified PDF version. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const PDFCompliance &other) const
| Not equal operator. More...
PDFCompliance & | operator= (const PDFCompliance &other)
| Assign operator. More...
bool | operator== (const PDFCompliance &other) const
| Equal operator. More...
ResultInformation | Verify (int verify_version, const wchar_t *src_pdf_path, int first_page_index=0, int last_page_index=-1, ProgressCallback *progress_callback=0)
| Verify a PDF file with specified PDF version. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class can be used to convert the PDF version of a PDF file. Currently, support to convert to PDF 1.3/1.4/1.5/1.6/1.7. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Constructor & Destructor Documentation

## ◆ PDFCompliance()

foxit::addon::compliance::PDFCompliance::PDFCompliance | ( | const PDFCompliance & | other | ) |

Constructor, with another PDF compliance object.

Parameters

  [in] | other | Another PDF compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile()

ResultInformation foxit::addon::compliance::PDFCompliance::ConvertPDFFile | ( | const wchar_t * | src_pdf_path,
|  | const wchar_t * | saved_pdf_path,
|  | int | convert_to_version,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Convert a PDF file to a specified PDF version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | An integer that specifies the PDF version to convert to, for example value 14 means version "1.4", value 15 means "1.5", and etc. Currently, only support version values 13, 14, 15, 16, and 17. Specially, when version value is 13 (which means PDF 1.3): if source PDF file contains transparency data, it will be converted to PDF 1.4 instead of PDF 1.3 (not support transparency). And user can check hit data in the returned ResultInformation object for more details. if source PDF file does not contain any transparency data, it will be converted to PDF 1.3 as expected.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

bool foxit::addon::compliance::PDFCompliance::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::compliance::PDFCompliance::operator!= | ( | const PDFCompliance & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another PDF compliance object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

PDFCompliance& foxit::addon::compliance::PDFCompliance::operator= | ( | const PDFCompliance & | other | ) |

Assign operator.

Parameters

  [in] | other | Another PDF compliance object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::compliance::PDFCompliance::operator== | ( | const PDFCompliance & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another PDF compliance object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Verify()

ResultInformation foxit::addon::compliance::PDFCompliance::Verify | ( | int | verify_version,
|  | const wchar_t * | src_pdf_path,
|  | int | first_page_index = `0`,
|  | int | last_page_index = `-1`,
|  | ProgressCallback * | progress_callback = `0`
| ) |  |

Verify a PDF file with specified PDF version.

Parameters

  [in] | verify_version | PDF version to verify. An integer that specifies the PDF version to verify, for example value 14 means version "1.4", value 15 means "1.5", and etc. Currently, only support version values 13, 14, 15, 16, and 17. Specially, when version value is 13 (which means PDF 1.3). And user can check hit data in the returned ResultInformation object for more details.
  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified and parameter first_page_index would be ignored. Default value: -1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be NULL. Default value: NULL.

Returns
  A ResultInformation object.